Installer - Feature #9489

foreman-installer should deactivate modules not supported on the target platform
Description

Just saw this on Ubuntu 14.04.01 LTS running the current foreman-installer Release to install Foreman 1.7.2.

The menu allows to enable the foreman_plugin_tasks which is not supported on Ubuntu.

It would be more user friendly if only supported modules are activated upon invocation of foreman-installer -i

History

#1 - 04/21/2015 01:35 PM - Anonymous

This would require a whole lot more of logic in kafo, so | don't think this is going to happen for now. For the foreman-tasks case,

https://github.com/theforeman/puppet-foreman/pull/317 has been opened.

In general this also means, we should continue to package everything, including all sorts of plugins, for Debian/Ubuntu and check the related puppet

modules used by the installer.

Mattias, would you consider this solved?
#2 - 04/21/2015 02:53 PM - Mattias Giese
Yup, please go ahead and close this one.
Thanks for the info and regards,

Mattias

#3 - 04/22/2015 03:30 AM - Dominic Cleal

- Status changed from New to Resolved
